micro_utils.dokka
0.15.1

# ExposedReadKeyValueRepo

open class ExposedReadKeyValueRepo<Key, Value>(database: <Error class: unknown class>, keyColumnAllocator: ColumnAllocator<Key>, valueColumnAllocator: ColumnAllocator<Value>, tableName: String? = null) : AbstractExposedReadKeyValueRepo<Key, Value> , ReadKeyValueRepo<Key, Value> , ExposedRepo

## Constructors

ExposedReadKeyValueRepo
Link copied to clipboard
fun ExposedReadKeyValueRepo(database: <Error class: unknown class>, keyColumnAllocator: ColumnAllocator<Key>, valueColumnAllocator: ColumnAllocator<Value>, tableName: String? = null)

## Functions

contains
Link copied to clipboard
abstract suspend fun contains(key: Key): Boolean
count
Link copied to clipboard
abstract suspend fun count(): Long
get
Link copied to clipboard
abstract suspend fun get(k: Key): Value?
keys
Link copied to clipboard
abstract suspend fun keys(pagination: Pagination, reversed: Boolean = false): PaginationResult<Key>
abstract suspend fun keys(v: Value, pagination: Pagination, reversed: Boolean = false): PaginationResult<Key>

This method should use sorted by Keys search and take the PaginationResult. By default, it should use ascending sort for Keys

values
Link copied to clipboard
abstract suspend fun values(pagination: Pagination, reversed: Boolean = false): PaginationResult<Value>

This method should use sorted by Keys search and take the PaginationResult. By default, it should use ascending sort for Keys

## Properties

asId
Link copied to clipboard
open override val <Error class: unknown class>.asId: Key
asKey
Link copied to clipboard
open override val <Error class: unknown class>.asKey: Key

Same as asId in context of KeyValue repo

asObject
Link copied to clipboard
open override val <Error class: unknown class>.asObject: Value
database
Link copied to clipboard
abstract val database: <Error class: unknown class>
keyColumn
Link copied to clipboard
open override val keyColumn: <Error class: unknown class><Key>
primaryKey
Link copied to clipboard
open val primaryKey: <Error class: unknown class>
selectAll
Link copied to clipboard
open val selectAll: <Error class: unknown class>.() -> <Error class: unknown class>
selectById
Link copied to clipboard
open override val selectById: <Error class: unknown class>.(Key) -> <Error class: unknown class><Boolean>
selectByIds
Link copied to clipboard
open val selectByIds: <Error class: unknown class>.(List<Key>) -> <Error class: unknown class><Boolean>
selectByValue
Link copied to clipboard
open override val selectByValue: <Error class: unknown class>.(Value) -> <Error class: unknown class><Boolean>
valueColumn
Link copied to clipboard
val valueColumn: <Error class: unknown class><Value>

## Inheritors

ExposedKeyValueRepo
Link copied to clipboard

## Extensions

cached
Link copied to clipboard
fun <Key, Value> ReadKeyValueRepo<Key, Value>.cached(kvCache: KVCache<Key, Value>): ReadKeyValueCacheRepo<Key, Value>
fun <Key, Value> ReadKeyValueRepo<Key, Value>.cached(kvCache: FullKVCache<Key, Value>): FullReadKeyValueCacheRepo<Key, Value>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValueRepo<ToKey, ToValue>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadKeyValueRepo<FromKey, FromValue>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValueRepo<ToKey, ToValue>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadKeyValueRepo<FromKey, FromValue>